Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.meta
Class UserGetter

    java.lang.Object
      rabbit.meta.SimpleHandler
          rabbit.meta.UserGetter

All Implemented Interfaces:
  MetaHandler

    public class UserGetter

extends SimpleHandler

A metapage that allows configuration of valid users. TODO: rework the ugly handling of HTTPBaseFilter.

Constructor Summary
`UserGetter()` default constructor

Method Summary
`java.lang.String` | `getMark()` Get the mark.
`void` | `handleData(Connection con, java.lang.String data)` Handle the user data.
`void` | `sendPage(MultiOutputStream output, Connection con)` Send the response page.

Methods inherited from class rabbit.meta.SimpleHandler
`handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGetter

    public UserGetter()

  default constructor

Method Detail

### getMark

    public java.lang.String getMark()

  Description copied from class: `SimpleHandler`
  Get the mark.

  Specified by:
    `getMark` in class `SimpleHandler`

### handleData

    public void handleData(Connection con,
                           java.lang.String data)

  Description copied from class: `SimpleHandler`
  Handle the user data.

  Specified by:
    `handleData` in class `SimpleHandler`
  Parameters:
    `con` - the Connection doing the transaction.
    `data` - the url decoded data.

### sendPage

    public void sendPage(MultiOutputStream output,
                         Connection con)

  Description copied from class: `SimpleHandler`
  Send the response page.

  Specified by:
    `sendPage` in class `SimpleHandler`
  Parameters:
    `output` - the stream to send the page on
    `con` - the Connection handling the request

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD